Create custom field option
curl --request POST \
--url https://api.komerza.com/stores/{storeId}/products/{productId}/variants/{variantId}/fields/{fieldId}/options \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>",
"value": "<string>",
"order": 1073741823
}
'import requests
url = "https://api.komerza.com/stores/{storeId}/products/{productId}/variants/{variantId}/fields/{fieldId}/options"
payload = {
"label": "<string>",
"value": "<string>",
"order": 1073741823
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({label: '<string>', value: '<string>', order: 1073741823})
};
fetch('https://api.komerza.com/stores/{storeId}/products/{productId}/variants/{variantId}/fields/{fieldId}/options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"code": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"customFieldId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"value": "<string>",
"order": 1073741823
}
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}Variants
Create Field Option
Adds a selectable option under the given custom field.
Requires the stores.products.update permission.
POST
/
stores
/
{storeId}
/
products
/
{productId}
/
variants
/
{variantId}
/
fields
/
{fieldId}
/
options
Create custom field option
Authorizations
Your API key goes here
Path Parameters
The ID of the store.
The ID of the product.
The ID of the variant.
The ID of the parent custom field.
Body
application/jsontext/jsonapplication/*+json
The form containing new option details.
Form for creating or updating an option for a custom field.
Response
The object was successfully created.
Represents a default generic response for API endpoints.
Indicates whether the operation or response was successful.
A descriptive message providing additional context or information about the response.
The error code (if there was an error) to use when referencing the error
Represents one of the selectable options for a CustomField.
Show child attributes
Show child attributes
Last modified on August 29, 2025